Zum Inhalt springen

Probleme bei der Aktualisierung Arch Linux (Teil 2/2 signature unknown)

  • von
Fehler: pcsclite: signature from "Frederik Schwan frederik.schwan@linux.com" is unknown trust

:: Datei /var/cache/pacman/pkg/pcsclite-1.9.5-1-x86_64.pkg.tar.zst ist beschädigt (Ungültiges oder beschädigtes Paket 

Einmal die Meldung im gesamtem Kontext:

kde-network-meta...  2000,0   B  59,2 KiB/s 00:00 [######################] 100%
telepathy-kde-me...  1984,0   B  58,7 KiB/s 00:00 [######################] 100%
kde-multimedia-m...  1974,0   B  48,2 KiB/s 00:00 [######################] 100%
kde-applications...  1965,0   B  27,4 KiB/s 00:00 [######################] 100%
kde-system-meta-...  1960,0   B  58,0 KiB/s 00:00 [######################] 100%
kde-accessibilit...  1933,0   B  51,0 KiB/s 00:00 [######################] 100%
kdevelop-meta-21...  1900,0   B  56,2 KiB/s 00:00 [######################] 100%
Gesamt (623/623)     1947,8 MiB  5,70 MiB/s 05:42 [######################] 100%
(623/623) Schlüssel im Schlüsselbund werden ge...  [######################] 100%
(623/623) Paket-Integrität wird überprüft          [######################] 100%
Fehler: pcsclite: signature from "Frederik Schwan frederik.schwan@linux.com" is unknown trust
:: Datei /var/cache/pacman/pkg/pcsclite-1.9.5-1-x86_64.pkg.tar.zst ist beschädigt (Ungültiges oder beschädigtes Paket (PGP-Signatur)).

Soll die Datei entfernt werden? [J/n] J

Fehler: Der Vorgang konnte nicht durchgeführt werden (Ungültiges oder beschädigtes Paket)

Fehler sind aufgetreten, keine Pakete wurden aktualisiert.

Hmm, hier scheint es ein Problem mit der Paketsignatur zu geben, aber das kann passieren, wenn die letzten Updates recht lange zurückliegen. Hier ein Forenbeitrag dazu. Die Lösung ist zuerst den das entsprechende Paket zu aktualisieren. Danach ließ sich der Rest des Systems ebenfalls problemlos aktualisieren.

pacman -Sy archlinux-keyring 

Schreibe einen Kommentar

Deine E-Mail-Adresse wird nicht veröffentlicht.